> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/extranets-b2b-peering/producer

> Create a new B2B extranet peering service producer

## OpenAPI

````json POST /v1/extranets-b2b-peering/producer
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/extranets-b2b-peering/producer": {
      "post": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v1ExtranetsB2bPeeringProducerPostRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1ExtranetsB2bPeeringProducerPostResponse"
                }
              }
            }
          }
        },
        "description": "Create a new B2B extranet peering service producer"
      }
    }
  },
  "components": {
    "schemas": {
      "v1ExtranetsB2bPeeringProducerPostRequest": {
        "type": "object",
        "properties": {
          "policy": {
            "$ref": "#/components/schemas/manaV2B2bExtranetPeeringServiceProducerPolicy"
          },
          "serviceName": {
            "type": "string",
            "example": "example string"
          },
          "type": {
            "type": "string",
            "example": "ENUM_VALUE",
            "description": "Type of the service whether it is application or peering (required)"
          }
        },
        "additionalProperties": false,
        "required": [
          "policy",
          "type"
        ]
      },
      "v1ExtranetsB2bPeeringProducerPostResponse": {
        "type": "object",
        "properties": {
          "activityId": {
            "type": "string",
            "example": "example string"
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "policy": {
            "$ref": "#/components/schemas/manaV2B2bExtranetPeeringServicePolicyResponse"
          }
        },
        "additionalProperties": false
      },
      "manaV2B2bExtranetPeeringServiceProducerPolicy": {
        "type": "object",
        "properties": {
          "description": {
            "type": "string",
            "example": "example string",
            "description": "Description for the service"
          },
          "globalObjectOps": {
            "type": "object",
            "additionalProperties": {
              "$ref": "#/components/schemas/manaV2GlobalObjectServiceOps"
            }
          },
          "prefixTags": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2B2bExtranetPrefixTag"
            }
          },
          "serviceLanSegment": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011,
            "description": "LAN segment ID for the service (required)"
          },
          "site": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2B2bSiteInformation"
            }
          },
          "type": {
            "type": "string",
            "example": "ENUM_VALUE",
            "description": "Type of the service whether it is application or peering (required)"
          }
        },
        "additionalProperties": false,
        "required": [
          "prefixTags",
          "serviceLanSegment",
          "site",
          "type"
        ]
      },
      "manaV2B2bExtranetPeeringServicePolicyResponse": {
        "type": "object",
        "properties": {
          "policy": {
            "$ref": "#/components/schemas/manaV2B2bExtranetPeeringServiceProducerPolicy"
          },
          "serviceName": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "manaV2GlobalObjectServiceOps": {
        "type": "object",
        "properties": {
          "routingPolicyOps": {
            "type": "object",
            "additionalProperties": {
              "type": "string",
              "example": "ENUM_VALUE"
            }
          }
        },
        "additionalProperties": false
      },
      "manaV2B2bExtranetPrefixTag": {
        "type": "object",
        "properties": {
          "prefix": {
            "type": "string",
            "example": "10.1.2.0/24",
            "description": "Prefix advertised by the service (required)"
          },
          "tag": {
            "type": "string",
            "example": "example string",
            "description": "Tag for the prefix"
          }
        },
        "additionalProperties": false,
        "required": [
          "prefix"
        ]
      },
      "manaV2B2bSiteInformation": {
        "type": "object",
        "properties": {
          "bwAllocationSiteLists": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "description": "Total Bandwidth allocation for the service on these site lists"
          },
          "bwAllocationSites": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "description": "Total Bandwidth allocation for the service on these sites"
          },
          "policerSiteLists": {
            "$ref": "#/components/schemas/manaV2Policer"
          },
          "policerSites": {
            "$ref": "#/components/schemas/manaV2Policer"
          },
          "siteLists": {
            "type": "array",
            "items": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011,
              "description": "Site list IDs where the service is deployed"
            }
          },
          "sites": {
            "type": "array",
            "items": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011,
              "description": "Site IDs where the service is deployed"
            }
          }
        },
        "additionalProperties": false
      },
      "manaV2Policer": {
        "type": "object",
        "properties": {
          "burstSize": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "description": "Burst size for the policer (required)"
          },
          "bw": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "description": "Bandwidth for the policer (required)"
          }
        },
        "additionalProperties": false,
        "required": [
          "burstSize",
          "bw"
        ]
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

